Subject: Re: [EAI] question on 5337bis

From: Shawn Steele <[email-masked]>
Date: Fri, 1 Oct 2010 19:06:15 +0000

I personally don't think it's likely to have "leaked", and if it did "leak", then the people that knew about it would fix it and want to update those anyway, so I can't get excited about changing the name.

-Shawn
----------------------------------------------------------------------
Date: Thu, 30 Sep 2010 21:01:13 -0400
From: Tony Hansen <[email-masked]>
Subject: [EAI] question on 5337bis
To: EAI WG <[email-masked]>
Message-ID: <[email-masked]>
Content-Type: text/plain; charset=ISO-8859-1; format=flowed

While preparing 5337 bis, Internationalized Delivery Status and Disposition Notifications, discussion with my co-authors brought up the question as to whether the registered names need to be changed.

In particular, Chris wrote to me:

----
If we assume the experiment never leaked, we can re-use names, I suppose.

Otherwise, we should consider changing names to avoid conflicts.  
Changing the address type from "utf-8" to, say, "utf8" would be simple to make it clear the new label can never have the <addr <addr>> syntax
-- I presently lean towards doing that.

We don't have to change the notary media type (message/global-delivery-status), since the address type label change suffices.

But we might choose to change the type name for "message/global" and "message/global-headers" if we want to create a new type that disallows <addr <addr>> syntax for addresses.  However that change is less necessary since the simplified EAI proposal is a subset of the original media type.  I'd be inclined to just live with the possibility of leaked <addr <addr>> in message/global* just to avoid the pain of choosing a new type name for that.
----

So the questions to the mailing list is:

1) Should the address type be changed from UTF-8 to UTF8?

2) Should the internationalized notary media type change its name from message/global-delivery-status?

3) Should the internationalized message content type change its name from message/global?

4) Should the internationalized headers content type change its name from message/global-headers?

Discussion please.

     Tony Hansen
     [email-masked]